# IterativeLearningControl.jl

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://aarontrowbridge.github.io/IterativeLearningControl.jl/stable/)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://aarontrowbridge.github.io/IterativeLearningControl.jl/dev/)
[![Build Status](https://github.com/aarontrowbridge/IterativeLearningControl.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/aarontrowbridge/IterativeLearningControl.jl/actions/workflows/CI.yml?query=branch%3Amain)
[![Coverage](https://codecov.io/gh/aarontrowbridge/IterativeLearningControl.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/aarontrowbridge/IterativeLearningControl.jl)


**IterativeLearningControl.jl** is a package for solving optimal control problems using the iterative learning control (ILC) algorithm. It is designed to be used with [QuantumCollocation.jl](https://github.com/aarontrowbridge/QuantumCollocation.jl) and [NamedTrajectories.jl](https://github.com/aarontrowbridge/NamedTrajectories.jl).


## Notice!

This package is under active development and issues may arise -- please be patient and report any issues you find!


## Installation

IterativeLearningControl.jl is registered, to install:

```julia
using Pkg
Pkg.add("IterativeLearningControl")
```

## Examples

For a notebook example see [examples/scripts/transmon/pi_gate.jl](examples/scripts/transmon/pi_gate.jl).
