using QuantumIterativeLearningControl
using Documenter

DocMeta.setdocmeta!(QuantumIterativeLearningControl, :DocTestSetup, :(using QuantumIterativeLearningControl); recursive=true)

makedocs(;
    modules=[QuantumIterativeLearningControl],
    authors="Aaron Trowbridge <aaron.j.trowbridge@gmail.com> and contributors",
    repo="https://github.com/aarontrowbridge/QuantumIterativeLearningControl.jl/blob/{commit}{path}#{line}",
    sitename="QuantumIterativeLearningControl.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://aarontrowbridge.github.io/QuantumIterativeLearningControl.jl",
        edit_link="main",
        assets=String[],
    ),
    pages=[
        "Home" => "index.md",
    ],
)

deploydocs(;
    repo="github.com/aarontrowbridge/QuantumIterativeLearningControl.jl",
    devbranch="main",
)
